%global main_version 2.7.1
%global cvs_version 11

Name:           ocaml-ocamlfuse
Version:        %{main_version}.cvs%{cvs_version}
Release:        1%{?dist}
Summary:        OCamlFuse project with dune support

License:        GPL-2.0-only
URL:            https://github.com/astrada/ocamlfuse
Source0:        %{url}/archive/refs/tags/v%{main_version}_cvs%{cvs_version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  opam
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-dune-configurator-devel
BuildRequires:  ocaml-camlidl-devel
BuildRequires:  fuse-devel

%description
This is a binding to fuse for the OCaml programming language, enabling you to
write multithreaded filesystems with the OCaml language. It has been designed
with simplicity as a goal, as you can see by looking at example/fusexmp.ml.
Efficiency has also been a separate goal. The Bigarray library is used for read
and writes, allowing the library to do zero-copy in OCaml land.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       fuse-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -p1 -n ocamlfuse-%{main_version}_cvs%{cvs_version}

%build
%dune_build

%install
%dune_install

%files -f .ofiles
%license LICENSE
%files devel -f .ofiles-devel

%changelog
* Tue Jul 16 2024 Marian Koncek <mkoncek@redhat.com> - 0.7.32-1
- Initial build
